; Public domain FAT32 kernel support detection, by Eric Auer.
; nasm -o hasfat32.com hasfat32.asm
; result is returned in errorlevel: 0 has FAT32 1 has no FAT32.

	org 100h
	mov ax,7300h	; get some FAT32 flag
	mov dl,0	; current drive
	mov cl,1	; dirty buffers flag
	int 21h
;	jnc mayhave	; worked, call exists
; MS DOS does not set carry either...
	cmp ax,7300h	; simply unimplemented?
	jnz hasfat32	; other error code, call exists
hasnofat32:
	mov ax,4c01h	; return error
	int 21h
hasfat32:		; AL is error code. If 00, CL has the flag.
	mov ax,4c00h	; return success
	int 21h

